## org.apache.tools.ant.taskdefs.optional.sitraka.bytecode
Class MethodInfo

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.sitraka.bytecode.MethodInfo

public final class MethodInfo
extends java.lang.Object

Method info structure.

Author:
  Stephane Bailliez
To do:
  give a more appropriate name to methods.

Constructor Summary
`MethodInfo()`

Method Summary
`java.lang.String` `getAccess()`
`int` `getAccessFlags()`
`java.lang.String` `getDescriptor()`
`java.lang.String` `getFullSignature()`
`java.lang.String` `getName()`
`int` `getNumberOfLines()`
`java.lang.String[]` `getParametersType()`
`java.lang.String` `getReturnType()`
`java.lang.String` `getShortSignature()`
`void` `read(ConstantPool constantPool, java.io.DataInputStream dis)`
`protected void` `readCode(ConstantPool constantPool, java.io.DataInputStream dis)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MethodInfo

    public MethodInfo()

Method Detail

### read

    public void read(ConstantPool constantPool,
                     java.io.DataInputStream dis)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readCode

    protected void readCode(ConstantPool constantPool,
                            java.io.DataInputStream dis)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getAccessFlags

    public int getAccessFlags()

### getName

    public java.lang.String getName()

### getDescriptor

    public java.lang.String getDescriptor()

### getFullSignature

    public java.lang.String getFullSignature()

### getShortSignature

    public java.lang.String getShortSignature()

### getReturnType

    public java.lang.String getReturnType()

### getParametersType

    public java.lang.String[] getParametersType()

### getNumberOfLines

    public int getNumberOfLines()

### getAccess

    public java.lang.String getAccess()

### toString

    public java.lang.String toString()

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.